get
https://EXCHANGE-REGION-ENDPOINT-URL.com/v1/order
Request Parameters
| Field Name | Description | Type |
|---|---|---|
| uuid | Order UUID | String |
| identifier | User Designated Value for Inquiries | String |
Either the
uuidoridentifiermust be included.
Response
New order type & optionsWe support the
bestorder type as well as theioc(Immediate or Cancel) andfok(Fill or Kill) functions.
- The
bestorder type is added to theord_typefield.- The
time_in_forcefield is added. (Type:iocandfok)
| Field Name | Description | Type |
|---|---|---|
| uuid | Unique Order ID | String |
| side | Order Type | String |
| ord_type | Order Method | String |
| price | Currency Price at the Time of Order | NumberString |
| state | Order Status
| String |
| market | Market Unique Key | String |
| created_at | Order Created Time | DateString |
| volume | User Input Order Volume | NumberString |
| remaining_volume | Remaining Order Volume after trading | NumberString |
| reserved_fee | Ratio Reserved as Fees | NumberString |
| remaining_fee | Remaining Fees | NumberString |
| paid_fee | Used Fees | NumberString |
| locked | Ratio being used in Transactions | NumberString |
| executed_volume | Traded Volume | NumberString |
| trades_count | The number of Transactions in the order | Integer |
| trades | Transaction | Array[Object] |
| trades.market | Market Unique Key | String |
| trades.uuid | Unique Transaction ID | String |
| trades.price | Traded Price | NumberString |
| trades.volume | Traded Volume | NumberString |
| trades.funds | Total Traded Price | NumberString |
| trades.side | Traded Type | String |
| trades.created_at | Traded Time | DateString |
| time_in_force | IOC, FOK, Post Only settings | String |
| identifier | User custom value for query *Provided only for orders created after October 18, 2024 | String |
| smp_type | SMP (Self-Match Prevention) Type | String |
| prevented_volume | Total cancelled volume by SMP | NumberString |
| prevented_locked | (Buy) The amount canceled due to the Self-Match Prevention (SMP) setting. (Sell) The volume canceled due to the Self-Match Prevention (SMP) setting | NumberString |
